#include <adv3.h>
#include <en_us.h>
#include "tSpec.h"

versionInfo : GameID {
  name = 'Gold Skull'
  author = 'Jeff Nyman'
  version = '1'
  desc = 'Tutorial game for TADS 3, using ADV3 library.'
}

gameMain : GameMainDef {
  initialPlayerChar = me

  showIntro() {
    "Oh, look! A cave. What could possibly go wrong?<.p>";
  }

  showGoodbye() {
    "<.p>I'm pretty sure <em>real</em> adventurers never quit!<.p>";
  }
}

me : Actor {
  location = outsideCave
}

/*outsideCave : OutdoorRoom {
  roomName = 'Outside Cave'
  desc = "You're standing in the bright sunlight just outside of a large, dark, foreboding cave, which lies to the north."

  north = insideCave
}*/

outsideCave : Room { 'Outside Cave'
  "You're standing in the bright sunlight just outside of a large, dark, foreboding cave, which lies to the north."

  north = insideCave
}

/*insideCave : Room
  roomName = 'Inside Cave'
  desc = "You're inside a dark and musty cave. Sunlight pours in from a passage to the south."

  south = outsideCave
;*/

insideCave : Room 'Inside Cave'
  "You're inside a dark and musty cave. Sunlight pours in from a passage to the south."

  south = outsideCave
;

Test 'navigate' ['north', 'south'];

/*
Typically object definitions begin with the name of an object, followed by a
colon, followed by a class list, followed by a list of its properties and
methods.

Objects generally belong in some form of containment hierarchy. For physical
objects this usually represents the notional containment relationships in your
game world. At the top of the hierarchy are the rooms (locations) that make up
the map of your world. Each individual room may contain a number of objects.

In these objects there are properties that allow navigation by having objects
"point" to each other. This is a bit different from the `location` property on
the `me` object. That's expressing containment. The `north` and `south`
properties are expressing linkages or traversal.

Semicolons are used (a) to terminate the object definition, and (b) to
terminate statements. They are not used to terminate property definitions.

Regarding those <.p> elements:
For a newline, you can insert \n in your string.
For a newline followed by a blank line use \b or <.p> as shown.
The <.p> form ensures that only one blank line will appear (even if several
<.p> tags occur in succession). If you want several blank lines, then you need
to use \b.
*/

/*
A template defines a shorthand way of defining the most common properties an
object is likely to have. Since every room will have a name and a description
the TADS 3 library defines a template that looks like this:

Room template 'roomName' 'destName'? 'name'? "desc"?;

An object template lets you define an object's properties positionally, rather
than by naming each property explicitly in the object definition. Templates
provide a concise syntax for defining properties that you use frequently.
*/
